---
title: "Reconcile machines with Hetzner"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/nodes.reconcile
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Reconcile machines with Hetzner

Reconcile machines with the provider (writes the latest state).

Reconcile machines with the provider (writes the latest state).

## Overview

| Name | Value |
| --- | --- |
| Code | `nodes.reconcile` |
| Scope needed | `infra.manage` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager`, `agent`, `viewer` |
| In the app | Machines & proxies |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `force` | `true/false` | No |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/nodes.reconcile \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `skipped` | `true` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "skipped": true
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "nodes.reconcile"`. Tool name when listed: `nodes_reconcile`.
